%define	version 0.2.1
%define kdename kmol

Name: %{kdename}
Summary: Chemical calculator
Version: %{version}
Release: 4mdk
Source:  %{name}-%{version}.tar.bz2
Source1: %{name}
Group: Sciences/Chemistry
Copyright: GPL
BuildRoot: /var/tmp/%{name}-root
Requires: qt kdelibs
Prefix: %{_prefix}

%description
Chemical calculator for the K Desktop Environment.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q 

%build
libtoolize --force
export KDEDIR=%{_prefix}
CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" 

./configure --prefix=$KDEDIR --with-install-root=$RPM_BUILD_ROOT --disable-rpath

mkdir -p $RPM_BUILD_ROOT    
if [ "$SMP" != "" ]; then
  (make KDEDIR=$KDEDIR "MAKE=make -k -j $SMP"; exit 0)
  make KDEDIR=$KDEDIR
else
  make KDEDIR=$KDEDIR
fi

%install
export KDEDIR=%{_prefix}
make prefix=$RPM_BUILD_ROOT$KDEDIR install
install -m 755 -d $RPM_BUILD_ROOT/usr/lib/menu
install -m 644 $RPM_SOURCE_DIR/%{name} $RPM_BUILD_ROOT/usr/lib/menu/  

%clean
rm -rf $RPM_BUILD_ROOT

%post
## menu
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi                       

%postun
## menu
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
      /usr/bin/update-menus
  fi
fi  

%files
%defattr(-,root,root)
%dir %{prefix}/doc
%dir %{prefix}/doc/kde
%dir %{prefix}/doc/kde/HTML
%dir %{prefix}/doc/kde/HTML/en
%dir %{prefix}/doc/kde/HTML/en/kmol
%dir %{prefix}/bin
%dir %{prefix}/share
%dir %{prefix}/share/applnk
%dir %{prefix}/share/applnk/Utilities
%dir %{prefix}/share/icons
%dir %{prefix}/share/icons/mini
%dir %{prefix}/share/apps
%dir %{prefix}/share/apps/kmol
%{prefix}/doc/kde/HTML/en/kmol/kmol.html
%{prefix}/doc/kde/HTML/en/kmol/kmol-1.html
%{prefix}/doc/kde/HTML/en/kmol/kmol-2.html
%{prefix}/doc/kde/HTML/en/kmol/kmol-3.html
%{prefix}/doc/kde/HTML/en/kmol/kmol-4.html
%{prefix}/doc/kde/HTML/en/kmol/logotp3.gif
%{prefix}/bin/kmol
%{prefix}/share/applnk/Utilities/kmol.kdelnk
%{prefix}/share/icons/kmol.xpm
%{prefix}/share/icons/mini/kmol.xpm
%{prefix}/share/apps/kmol/kmolweights
%{prefix}/doc/kde/HTML/en/kmol/index.html  
%{prefix}/lib/menu/%{name}

%changelog
* Tue Mar 28 2000 Vincent Saugey <vince@mandrakesoft.com> 0.2.1-4mdk
- add menu entry
- correctd group

* Fri Jan 21 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 
- Libtoolize --force.

* Thu Sep 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build for cooker

* Sun Aug 29 1999 Daniel M. Duley <mosfet@linuxmandrake.com>
Inital RPM.

